"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandLoader = void 0;
const actions_1 = require("../actions");
const generate_command_1 = require("./generate.command");
class CommandLoader {
    static load(program) {
        new generate_command_1.GenerateCommand(new actions_1.GenerateAction()).load(program);
        // 判断是否是debug模式
        program.option('-d, --debug', 'Open debug mode', false);
        program.on('option:debug', function () {
            process.env.DEBUG = this.opts().debug;
        });
        this.handleInvalidCommand(program);
    }
    static handleInvalidCommand(program) {
        program.on('command:*', () => {
            console.error('\nError invalid command: %s', program.args.join(' '));
            console.log('See --help for a list of available commands.\n');
            process.exit(1);
        });
    }
}
exports.CommandLoader = CommandLoader;
