"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateCommand = void 0;
const abstract_command_1 = require("../lib/common/abstract.command");
const input_processing_1 = require("../lib/utils/input-processing");
class GenerateCommand extends abstract_command_1.AbstractCommand {
    load(program) {
        program
            .command('generate', { isDefault: true })
            .alias('g')
            .description('generate a markdown or docx file against the database')
            .argument('<database>', 'Specifies the database name')
            .argument('[type]', 'Specifies the type of file to be generated: md,docx', input_processing_1.checkTypeValidity)
            .option('-P, --password [password]', 'Database password', 'root')
            .option('-H, --host [host]', 'Database host', '127.0.0.1')
            .option('-u, --username [username]', 'Database username', 'root')
            .option('-p, --port [port]', 'Database host port', input_processing_1.parsePortNumber, 3306)
            .option('-o, --output [output]', 'Document generation path, support for relative path')
            .option('-f, --force', 'overwrite target file if it exists', false)
            .action((database, type, opts) => __awaiter(this, void 0, void 0, function* () {
            const inputs = [];
            inputs.push({ name: 'database', value: database });
            inputs.push({ name: 'type', value: type });
            const options = [];
            options.push({ name: 'host', value: opts.host });
            options.push({ name: 'username', value: opts.username });
            options.push({ name: 'password', value: opts.password });
            options.push({ name: 'port', value: opts.port });
            options.push({ name: 'output', value: opts.output });
            options.push({ name: 'force', value: opts.force });
            yield this.action.handle(inputs, options);
        }));
    }
}
exports.GenerateCommand = GenerateCommand;
