"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractExecutor = void 0;
const db_datasource_1 = require("../utils/db.datasource");
class AbstractExecutor {
    constructor(sql, args = []) {
        this.sql = sql;
        this.args = args;
    }
    exec() {
        return __awaiter(this, void 0, void 0, function* () {
            const ret = yield db_datasource_1.DBDataSource.getInstance().query(this.sql, this.args);
            return ret;
        });
    }
}
exports.AbstractExecutor = AbstractExecutor;
