"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexdExecutor = void 0;
const abstract_executor_1 = require("../common/abstract.executor");
class IndexdExecutor extends abstract_executor_1.AbstractExecutor {
    constructor(db, table) {
        super('SELECT INDEX_NAME AS indexName, INDEX_TYPE AS type, NON_UNIQUE AS nonunique, ' +
            'COLUMN_NAME AS colName, COLLATION AS collation, CARDINALITY AS `cardinality`, ' +
            'INDEX_COMMENT AS `comment`, NULLABLE AS `nullable` ' +
            'FROM INFORMATION_SCHEMA.STATISTICS WHERE TABLE_SCHEMA = ? AND TABLE_NAME = ?', [db, table]);
    }
}
exports.IndexdExecutor = IndexdExecutor;
