"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DBDataSource = void 0;
const promise_1 = require("mysql2/promise");
class DBDataSource {
    constructor() {
        /**
         * mysql connection ist
         */
        this.connection = null;
    }
    static getInstance() {
        if (!this._instance) {
            this._instance = new DBDataSource();
        }
        return this._instance;
    }
    /**
     * prepare mysql connection
     */
    init(conf) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.connection)
                return;
            this.connection = yield (0, promise_1.createConnection)(conf);
        });
    }
    query(sql, args = []) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.connection) {
                throw new Error('Mysql Connection initialization is not complete');
            }
            const [rows] = yield this.connection.execute(sql, args);
            return rows;
        });
    }
    destroy() {
        var _a;
        (_a = this.connection) === null || _a === void 0 ? void 0 : _a.destroy();
    }
}
exports.DBDataSource = DBDataSource;
