"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePortNumber = exports.checkTypeValidity = void 0;
const commander_1 = require("commander");
const doc_type_1 = require("../constants/doc-type");
function checkTypeValidity(value) {
    if (!value)
        return undefined;
    if (!doc_type_1.DocTypeList.includes(value)) {
        throw new commander_1.InvalidArgumentError('The type is invalid. The optional value has: ' + doc_type_1.DocTypeList.join(','));
    }
    return value;
}
exports.checkTypeValidity = checkTypeValidity;
function parsePortNumber(value) {
    const num = Number(value);
    if (isNaN(num)) {
        throw new commander_1.InvalidOptionArgumentError('Port is not a number');
    }
    return num;
}
exports.parsePortNumber = parsePortNumber;
